com.google.cloud.dataflow.sdk.transforms

## Class View.AsSingleton<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.PTransform<PCollection<T>,PCollectionView<T>>
  - - com.google.cloud.dataflow.sdk.transforms.View.AsSingleton<T>

All Implemented Interfaces:
  HasDisplayData, Serializable

Enclosing class:
  View

    public static class View.AsSingleton<T>
    extends PTransform<PCollection<T>,PCollectionView<T>>

Not intended for direct use by pipeline authors; public only so a `PipelineRunner` may override its behavior.

See `View.asSingleton()`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`name`

### Method Summary

All Methods Instance Methods Concrete Methods
`PCollectionView<T>` `apply(PCollection<T> input)` Applies this `PTransform` on the given `InputT`, and returns its `Output`.
`T` `defaultValue()` Returns the default value of this transform, or null if there isn't one.
`boolean` `hasDefaultValue()` Returns whether this transform has a default value.
`void` `validate(PCollection<T> input)` Called before invoking apply (which may be intercepted by the runner) to verify this transform is fully specified and applicable to the specified input.
`View.AsSingleton<T>` `withDefaultValue(T defaultValue)` Default value to return for windows with no value in them.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.PTransform

`getDefaultOutputCoder, getDefaultOutputCoder, getDefaultOutputCoder, getKindString, getName, populateDisplayData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### hasDefaultValue

    public boolean hasDefaultValue()

Returns whether this transform has a default value.

#### defaultValue

    public T defaultValue()

Returns the default value of this transform, or null if there isn't one.

#### withDefaultValue

    public View.AsSingleton<T> withDefaultValue(T defaultValue)

Default value to return for windows with no value in them.

#### validate

    public void validate(PCollection<T> input)

Description copied from class: `PTransform`
Called before invoking apply (which may be intercepted by the runner) to verify this transform is fully specified and applicable to the specified input.

By default, does nothing.

Overrides:
  `validate` in class `PTransform<PCollection<T>,PCollectionView<T>>`

#### apply

    public PCollectionView<T> apply(PCollection<T> input)

Description copied from class: `PTransform`
Applies this `PTransform` on the given `InputT`, and returns its `Output`.

Composite transforms, which are defined in terms of other transforms, should return the output of one of the composed transforms. Non-composite transforms, which do not apply any transforms internally, should return a new unbound output and register evaluators (via backend-specific registration methods).

The default implementation throws an exception. A derived class must either implement apply, or else each runner must supply a custom implementation via `PipelineRunner.apply(com.google.cloud.dataflow.sdk.transforms.PTransform<InputT, OutputT>, InputT)`.

Overrides:
  `apply` in class `PTransform<PCollection<T>,PCollectionView<T>>`